<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <import type="it.integry.integrywmsnative.R" />
        <variable
            name="ordine"
            type="it.integry.integrywmsnative.core.data_store.db.view_model.OrdineWithGriglia" />
    </data>

    <LinearLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:layout_marginStart="4dp"
        android:layout_marginBottom="4dp"
        android:paddingStart="8dp"
        android:paddingEnd="8dp"
        android:paddingTop="8dp"
        android:paddingBottom="8dp"
        android:orientation="horizontal"
        android:background="@drawable/bg_checked_layout">


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/badge1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                tools:text="BADGE 1"
                android:background="@drawable/badge1_round_corner"
                android:textColor="@android:color/white"
                android:paddingTop="2dp"
                android:paddingBottom="2dp"
                android:paddingLeft="6dp"
                android:paddingRight="6dp"
                android:textStyle="bold"/>

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/description_main"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textColor="@android:color/black"
                style="@android:style/TextAppearance.Small"
                android:layout_marginTop="4dp"
                android:layout_marginEnd="4dp"
                android:layout_below="@id/badge1"
                android:singleLine="true"
                android:ellipsize="end"
                tools:text="TITLE"/>

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/date"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                style="@style/AppTheme.NewMaterial.Text"
                android:textColor="@color/colorPrimaryGray"
                android:layout_alignParentEnd="true"
                android:textSize="14sp"
                tools:text="13 Apr"/>

        </RelativeLayout>
    </LinearLayout>

</layout>